Name:           python-resolvelib
Version:        0.9.0
Release:        %mkrel 1
Summary:        Resolve abstract dependencies into concrete ones
Group:          Development/Python

License:        ISC
URL:            https://github.com/sarugaku/resolvelib
Source:         %{pypi_source resolvelib}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pytest)


%global _description %{expand:
ResolveLib at the highest level provides a Resolver class that includes 
dependency resolution logic. You give it some things, and a little information 
on how it should interact with them, and it will spit out a resolution result.}


%description %_description

%package -n     python3-resolvelib
Summary:        %{summary}

%description -n python3-resolvelib %_description


%prep
%autosetup -p1 -n resolvelib-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files resolvelib

# tests are not included in pypi wheel

%files -n python3-resolvelib -f %{pyproject_files}
%doc README.rst CHANGELOG.rst
%license LICENSE


%changelog
* Mon Jan 09 2023 papoteur <papoteur> 0.9.0-1.mga9
+ Revision: 1931762
- import for ansible-core
- add Group
- imported package python-resolvelib

